export function adjustPortraitLayout(scale) {
    var topContainer = document.getElementById("top-container");
    var bottomContainer = document.getElementById("bottom-container");
    var middleContainer = document.getElementById("middle-container");

    if (!topContainer)
        return;

    if (!bottomContainer)
        return;

    if (!middleContainer)
        return;

    var combinedHeight = (topContainer.offsetHeight + bottomContainer.offsetHeight) * scale;
    var height = (window.innerHeight - combinedHeight) / scale;

    middleContainer.style.height = height + "px";
}